Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAction.ActionEvent

    java.lang.Object
      java.lang.Enum<QAction.ActionEvent>
          com.trolltech.qt.gui.QAction.ActionEvent

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAction.ActionEvent>

Enclosing class:
  QAction

    public static enum QAction.ActionEvent

extends java.lang.Enum<QAction.ActionEvent>
implements QtEnumerator

This enum type is used when calling QAction.:activate()

Enum Constant Summary
`Hover` this will cause the QAction::hovered() signal to be emitted.
`Trigger` this will cause the QAction::triggered() signal to be emitted.

Method Summary
`static QAction.ActionEvent` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAction.ActionEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAction.ActionEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Trigger

    public static final QAction.ActionEvent Trigger

  this will cause the QAction::triggered() signal to be emitted.

### Hover

    public static final QAction.ActionEvent Hover

  this will cause the QAction::hovered() signal to be emitted.

Method Detail

### values

    public static final QAction.ActionEvent[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAction.ActionEvent c : QAction.ActionEvent.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAction.ActionEvent valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAction.ActionEvent resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD